package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.lawcase.vo.CaseSafeCheckCountBean;
import com.ruoyi.system.domain.grid.vo.GridCompanySafeCheckExt;
import com.ruoyi.system.domain.grid.vo.GridCompanySafeCheckParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanySafeCheckExtMapper {
    long countByExample(@Param("check") GridCompanySafeCheckParam check);

    List<GridCompanySafeCheckExt> selectByExample(@Param("check") GridCompanySafeCheckParam check);

    List<CaseSafeCheckCountBean> countCountryCheck(@Param("level") String level, @Param("wgCode") String wgCode);

    long countCompanyList(@Param("check") GridCompanySafeCheckParam check);

    List<GridCompanySafeCheckExt> selectCompanyList(@Param("check") GridCompanySafeCheckParam check);
}